Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Interface Guardian

      public interface Guardian

A Guardian is responsible for monitoring the registered `Guardable` objects.

Since:
  Coherence 3.5
Author:
  rhl

Nested Class Summary
`static interface` | `Guardian.GuardContext` A GuardContext represents the lifecycle status of a Guardable.

Method Summary
`Guardian.GuardContext` | `guard(Guardable guardable)` Register the specified Guardable based on the Guardian's SLA parameters.
`Guardian.GuardContext` | `guard(Guardable guardable, long cMillis, float flPctRecover)` Register the specified Guardable with the specified SLA parameters.

Method Detail

### guard

    Guardian.GuardContext guard(Guardable guardable)

  Register the specified Guardable based on the Guardian's SLA parameters. <p/> It's possible that the Guardian's defaults will prevent the Guardable from being registered. In such a case, this method returns null.
  Parameters:
    `guardable` - the Guardable to be monitored by this Guardian
  Returns:
    the GuardContext for the specified Guardable (could be null)

### guard

    Guardian.GuardContext guard(Guardable guardable,
                                long cMillis,
                                float flPctRecover)

  Register the specified Guardable with the specified SLA parameters.
  Parameters:
    `guardable` - the Guardable to be guarded by this Guardian
    `cMillis` - the timeout for the specified Guardable
    `flPctRecover` - the percentage of the timeout after which to attempt recovery of the Guardable; 0 < flPctRecover &lteq; 1.0
  Returns:
    the GuardContext for the specified Guardable

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.